Bug 112933 - LO CALC: FORMATTING: of Time changed meaning of MM:SS.0
Summary: LO CALC: FORMATTING: of Time changed meaning of MM:SS.0
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
5.3.6.1 release
Hardware: All All
: medium normal
Assignee: Eike Rathke
URL:
Whiteboard: target:6.0.0 target:5.4.3 target:5.3....
Keywords: regression
Depends on:
Blocks:
 
Reported: 2017-10-06 10:51 UTC by Toby Lunn
Modified: 2017-11-10 11:03 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Toby Lunn 2017-10-06 10:51:32 UTC
In version 5.4.1.2 the time format has changed the meaning of 'MM:SS.0' from meaning one decimal point to just the decimal point hence my spread sheets would have to be reworked.... surely not what is required/wanted/need?

Should there be a need for this format the format 'MM:SS.' be used and the old meaning for 'MM:SS.0' be restored.

Examples:
   'MM:SS.0' rendered '12:34.67' as '12:34.7' Now '12:34.'.



Toby
Comment 1 m.a.riosv 2017-10-06 15:00:25 UTC
Reproducible also with:
Version: 6.0.0.0.alpha0+
Build ID: ccb1894c02d77ed89741ca1f82bad87a17fd76fa
CPU threads: 4; OS: Windows 10.0; UI render: default; 
Locale: es-ES (es_ES); Calc: CL

Last working for me:
Version: 5.2.7.1
Build ID: bf0fa7b86c7c0592941ede29fca6fafff642a948
CPU Threads: 4; OS Version: Windows 6.2; UI Render: GL; 
Locale: es-ES (es_ES); Calc: group
Comment 2 Commit Notification 2017-10-16 20:13:40 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=4f72d2ec6c210232e0abd4965e215611e807c125

Resolves: tdf#112933 correct number of one decimal in fraction of seconds

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 Eike Rathke 2017-10-16 20:47:32 UTC
Pending review
https://gerrit.libreoffice.org/43440 for 5-4
https://gerrit.libreoffice.org/43441 for 5-3
Comment 4 Commit Notification 2017-10-16 21:19:49 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=a810feed4aa9eade632098704f7386afb7dfec76

Unit test for tdf#112933

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Commit Notification 2017-10-17 07:51:49 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "libreoffice-5-4":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=35fcdb14e5d8af2f9770fc1994ad47b0774b9a55&h=libreoffice-5-4

Resolves: tdf#112933 correct number of one decimal in fraction of seconds

It will be available in 5.4.3.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Commit Notification 2017-10-17 07:54:15 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "libreoffice-5-3":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=18d0268acce2fdd10a1186e1466768887f64623e&h=libreoffice-5-3

Resolves: tdf#112933 correct number of one decimal in fraction of seconds

It will be available in 5.3.8.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Commit Notification 2017-10-17 10:36:04 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=d1538ef63863f7a016bd2c3752ccdd9819e41781

More tests for time and date+time fractions of seconds, tdf#112933 related

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 8 Toby Lunn 2017-10-17 16:32:12 UTC
(In reply to Eike Rathke from comment #3)
> Pending review
> https://gerrit.libreoffice.org/43440 for 5-4
> https://gerrit.libreoffice.org/43441 for 5-3

I have tested the fix for 5-4 and can confirm it works! Thanks for the fix.
Comment 9 Commit Notification 2017-10-24 10:09:10 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "libreoffice-5-3-7":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=b8586d826e6c116e162ffebd6f270d70697b6307&h=libreoffice-5-3-7

Resolves: tdf#112933 correct number of one decimal in fraction of seconds

It will be available in 5.3.7.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 10 Toby Lunn 2017-10-24 11:53:49 UTC
Although I reported it worked before and it works with the bug fix I thought it was a valid option from the Date/Time format menu, was this the case?
Comment 11 Eike Rathke 2017-10-24 12:07:42 UTC
Erm..what?
Comment 12 Toby Lunn 2017-10-24 12:34:02 UTC
I thought that on the format cells dialog box one of the builtin options was MM:SS.0.
Comment 13 Eike Rathke 2017-11-10 11:03:06 UTC
No, never was (IMHO also not in some locale), builtin MM:SS.00 is.